Bug 995778 - sepolgen should be split from policycoreutils-gui
Summary: sepolgen should be split from policycoreutils-gui
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: policycoreutils
Version: 6.4
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Petr Lautrbach
QA Contact: Milos Malik
URL:
Whiteboard:
Depends On:
Blocks: 1187176
TreeView+ depends on / blocked
 
Reported: 2013-08-11 02:14 UTC by Kieran Clancy
Modified: 2015-07-22 07:03 UTC (History)
6 users (show)

Fixed In Version: policycoreutils-2.0.83-23.el6
Doc Type: Bug Fix
Doc Text:
Previously, the sepolgen utility was a part of the policycore-gui package, even though it does not require any GUI. With this update, sepolgen is a part of the policycore-python package.
Clone Of:
: 1187176 (view as bug list)
Environment:
Last Closed: 2015-07-22 07:03:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1360 normal SHIPPED_LIVE policycoreutils bug fix update 2015-07-20 17:59:22 UTC

Description Kieran Clancy 2013-08-11 02:14:28 UTC
Description of problem:
sepolgen should be split from the -gui package, since it doesn't require a GUI. I want to be able to use it on my servers without having to install all the gui dependencies.

Version-Release number of selected component (if applicable):
policycoreutils-gui-2.0.83-19.30.el6.x86_64

Comment 2 Petr Lautrbach 2015-02-25 09:44:21 UTC
We could move /usr/bin/sepolgen to policycoreutils-python. It shouldn't break anything since -gui package requires -python.

Comment 10 errata-xmlrpc 2015-07-22 07:03:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1360.html


Note You need to log in before you can comment on or make changes to this bug.